[weasel-commit] Source: ggz-client-libs=0.0.14.1-1 libggz=0.0.14.1-2

  • From: rbuilder@xxxxxxxxx
  • To: weasel-commit@xxxxxxxxxxxxx
  • Date: Wed, 23 Jun 2010 16:14:35 -0400

================================
ggz-client-libs:source=0.0.14.1-1
cvc rdiff ggz-client-libs -1 /weasel.rpath.org@wgl:3-devel/0.0.14.1-1
================================
0.0.14.1-1 Filip Brcic (brcha@xxxxxxxxxxxx) Wed Jun 23 16:13:56 2010
    ggz 0.0.14.1

ggz-client-libs.recipe: new
--- /dev/null
+++ ggz-client-libs.recipe
@@ -0,0 +51 @@
+#
+# Copyright (c) 2010 Weasel GNU/Linux [Filip Brcic (brcha@xxxxxxxxxxxx)]
+# Distributed under the terms of the GNU General Public License v3
+#
+
+loadInstalled('libggz')
+
+class GgzClientLibs(AutoPackageRecipe):
+    name = 'ggz-client-libs'
+    version = '0.0.14.1'
+
+    buildRequires = [
+        'libggz:devel', 'expat:devel', 'gettext:devel', 'gettext:runtime', 
'libstdc++:devel', 'gcc-c++:runtime',
+        ]
+
+    shortDesc  = 'The client libraries for GGZ Gaming Zone'
+    longDesc   = """
+GGZ core clients and advanced games can use ggzcore to communicate
+with the GGZ server. The ggzmod library facilitates the messaging from
+and to a GGZ core client in a game client.
+"""
+    url        = 'http://dev.ggzgamingzone.org/libraries/'
+    licenses   = [ 'LGPL-2.1' ]
+    categories = [ 'Development/Games' ]
+
+    def unpack(r):
+        r.addArchive('mirror://ggz/%(version)s/')
+
+        r.addPatch('ggz-client-libs-0.0.14.1-destdir.patch')
+
+        r.macros.ggzmoddir = '%(datadir)s/ggz/modules'
+
+        r.AutoDoc('AUTHORS', 'ChangeLog', 'NEWS', 'QuickStart.GGZ',
+                  'README*', 'TODO')
+
+        r.addSource('ggzmod.tagdescription',
+                    dest='%(tagdescriptiondir)s/ggzmod',
+                    macros=True)
+        r.addSource('ggzmod.taghandler',
+                    dest='%(taghandlerdir)s/ggzmod',
+                    macros=True,
+                    mode=0755)
+
+    def configure(r):
+        r.Configure(
+            ' --disable-dependency-tracking'
+            ' --enable-noregistry="%(ggzmoddir)s"'
+            )
+
+    def policy(r):
+        r.ComponentSpec('runtime', '%(bindir)s/ggz-config') # this is needed 
by runtime

ggzmod.tagdescription: new
--- /dev/null
+++ ggzmod.tagdescription
@@ -0,0 +5 @@
+file         %(taghandlerdir)s/ggzmod
+implements   files update
+implements   files remove
+include      %(ggzmoddir)s
+datasource   stdin

ggz-client-libs-0.0.14.1.tar.gz: new
ggz-client-libs-0.0.14.1-destdir.patch: new
--- /dev/null
+++ ggz-client-libs-0.0.14.1-destdir.patch
@@ -0,0 +34 @@
+--- ggz-client-libs-0.0.14.1/ggz-config/ggz-config.c.orig      2008-01-05 
14:02:46.000000000 -0500
++++ ggz-client-libs-0.0.14.1/ggz-config/ggz-config.c   2008-11-11 
15:48:51.000000000 -0500
+@@ -452,12 +452,14 @@
+ {
+       char *suffix = ".module.dsc";
+       char global_pathname[(moddest ? strlen(destdir) : 0)
+-                           + strlen(copydir)
++              + strlen(copydir) + 2];
++      char full_pathname[strlen(global_pathname)
+                            + strlen(modname)
+-                           + strlen(suffix) + 3];
++                           + strlen(suffix) + 2];
+       char fixedmodname[strlen(modname) + 1];
+       unsigned int i;
+ 
++
+       if(moddest)
+               sprintf(global_pathname, "%s/%s", destdir, copydir);
+       else
+@@ -473,10 +475,11 @@
+       for(i = 0; i < strlen(fixedmodname); i++) {
+               if(fixedmodname[i] == '/') fixedmodname[i] = '_';
+       }
+-      sprintf(global_pathname, "%s/%s%s", global_pathname, fixedmodname, 
suffix);
+ 
+-      printf(_("Preserving %s as %s...\n"), modfile, global_pathname);
+-      return filecopy(modfile, global_pathname);
++      sprintf(full_pathname, "%s/%s%s", global_pathname, fixedmodname, 
suffix);
++
++      printf(_("Preserving %s as %s...\n"), modfile, full_pathname);
++      return filecopy(modfile, full_pathname);
+ }
+ 
+ 

ggzmod.taghandler: new
--- /dev/null
+++ ggzmod.taghandler
@@ -0,0 +36 @@
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+    echo "not enough arguments: $0 $*" >&2
+    exit 1
+fi
+
+type="$1"
+shift
+action="$1"
+shift
+
+source %(datadir)s/ecmds/ecmds.sh
+
+case $type in 
+    files)
+       case $action in
+           update|remove)
+               echo -n > %(sysconfdir)s/ggz.modules
+               if [[ -d %(ggzmoddir)s ]]
+               then
+                   ebegin "Installing GGZ modules"
+                   cd %(ggzmoddir)s
+                   rval=0
+                   find . -type f -name '*.dsc' | while read dsc
+                   do
+                       ggz-config -Dim "${dsc}" || ((rval++))
+                   done
+                   eend ${rval}
+               fi
+               ;;
+       esac
+    ;;
+esac
+
+exit 0


================================
libggz:source=0.0.14.1-2 (previous: 0.0.14.1-1)
cvc rdiff libggz -1 /weasel.rpath.org@wgl:3-devel/0.0.14.1-2
================================
0.0.14.1-2 Filip Brcic (brcha@xxxxxxxxxxxx) Wed Jun 23 16:13:56 2010
    ggz 0.0.14.1

libggz.recipe: changed
Index: libggz.recipe
====================================================================
contents(size sha1)
inode(mtime)
--- libggz.recipe /weasel.rpath.org@wgl:3-devel/0.0.14.1-1
+++ libggz.recipe /weasel.rpath.org@wgl:3-devel/0.0.14.1-2
@@ -33,14 +33,6 @@
         r.AutoDoc('AUTHORS', 'ChangeLog', 'NEWS', 'QuickStart.GGZ',
                   'README*', 'TODO')
 
-        r.addSource('ggzmod.tagdescription',
-                    dest='%(tagdescriptiondir)s/ggzmod',
-                    macros=True)
-        r.addSource('ggzmod.taghandler',
-                    dest='%(taghandlerdir)s/ggzmod',
-                    macros=True,
-                    mode=0755)
-
     def configure(r):
         r.Configure(
             ' --disable-dependency-tracking'


ggzmod.tagdescription: removed
ggzmod.taghandler: removed

Committed by: brcha

Other related posts:

  • » [weasel-commit] Source: ggz-client-libs=0.0.14.1-1 libggz=0.0.14.1-2 - rbuilder